package de.uniba.kinf.geogames.esriguesstimate.game;

/**
 * Created by Thomas on 18.03.2015.
 */
public enum GameDuration {

    MIN1(1, "1 Minute"),
    MIN5(5, "5 Minutes"),
    MIN10(10, "10 Minutes"),
    MIN15(15, "15 Minutes"),
    MIN30(30, "30 Minutes"),
    MIN45(45, "45 Minutes"),
    MIN60(60, "60 Minutes");

    public static final String IDENTIFIER = "GAME_DURATION";
    public final int minutes;
    public final String text;

    public static GameDuration fromValue(int value) {
        return GameDuration.values()[value];
    }

    GameDuration(int minutes, String text) {
        this.minutes = minutes;
        this.text = text;
    }

    public static String[] getStringValues() {
        String[] values = new String[GameDuration.values().length];
        for (int i = 0; i < values.length; i++) {
            values[i] = GameDuration.values()[i].text;
        }
        return values;
    }

    public int getSeconds() {
        return this.minutes * 60;
    }

    public int getValue() {
        return this.ordinal();
    }

    @Override public String toString(){
        return text;
    }

}
