package de.uniba.kinf.geogames.esriguesstimate.ui;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

import de.uniba.kinf.geogames.esriguesstimate.R;
import de.uniba.kinf.geogames.esriguesstimate.data.GeoLocation;

/**
 * Created by Thomas on 19.03.2015.
 */
public class GeoLocationAdapter extends BaseAdapter {

    private static List<GeoLocation> geoLocationGuesses = new ArrayList<GeoLocation>();

    private LayoutInflater l_Inflater;

    public GeoLocationAdapter(Context context, List<GeoLocation> geoLocations) {
        this.geoLocationGuesses = geoLocations;
        l_Inflater = LayoutInflater.from(context);
    }

    public void setLocations(List<GeoLocation> geoLocations) {
        this.geoLocationGuesses = geoLocations;
        this.notifyDataSetInvalidated();
    }

    public int getCount() {
        return geoLocationGuesses.size();
    }

    public GeoLocation getItem(int position) {
        return geoLocationGuesses.get(position);
    }

    public long getItemId(int position) {
        return position;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder holder;
        if (convertView == null) {
            convertView = l_Inflater.inflate(R.layout.location_detail_view, null);
            holder = new ViewHolder();
            holder.txt_itemName = (TextView) convertView.findViewById(R.id.name);
            holder.txt_itemDescription = (TextView) convertView.findViewById(R.id.itemDescription);
            holder.txt_itemGuess = (TextView) convertView.findViewById(R.id.guess);
            //holder.txt_itemPrice = (TextView) convertView.findViewById(R.id.price);
            //holder.itemImage = (ImageView) convertView.findViewById(R.id.photo);

            convertView.setTag(holder);
        } else {
            holder = (ViewHolder) convertView.getTag();
        }

        GeoLocation loc = geoLocationGuesses.get(position);
        holder.txt_itemName.setText(loc.getName());
        holder.txt_itemDescription.setText(loc.getDescription());
        if(loc.hasGuess()) {
            holder.txt_itemGuess.setText(""+loc.getDistanceGuess());
        } else {
            holder.txt_itemGuess.setText("");
        }
//        holder.txt_itemPrice.setText(itemDetailsrrayList.get(position).getPrice());
//        holder.itemImage.setImageResource(imgid[itemDetailsrrayList.get(position).getImageNumber() - 1]);
//		imageLoader.DisplayImage("http://192.168.1.28:8082/ANDROID/images/BEVE.jpeg", holder.itemImage);

        return convertView;
    }

    static class ViewHolder {
        TextView txt_itemName;
        TextView txt_itemDescription;
        TextView txt_itemGuess;
        ImageView itemImage;
    }
}
